/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateCollectionInput } from "../types/CreateCollectionInput";
import { CreateCollectionOutput } from "../types/CreateCollectionOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/CreateCollectionInput";
export * from "../types/CreateCollectionOutput";
export * from "../types/CreateCollectionExceptionsUnion";
export declare class CreateCollectionCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateCollectionInput, OutputTypesUnion, CreateCollectionOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: CreateCollectionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateCollectionInput, CreateCollectionOutput, _stream.Readable>;
    constructor(input: CreateCollectionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<CreateCollectionInput, CreateCollectionOutput>;
}
