/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteCollectionInput } from "../types/DeleteCollectionInput";
import { DeleteCollectionOutput } from "../types/DeleteCollectionOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/DeleteCollectionInput";
export * from "../types/DeleteCollectionOutput";
export * from "../types/DeleteCollectionExceptionsUnion";
export declare class DeleteCollectionCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteCollectionInput, OutputTypesUnion, DeleteCollectionOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteCollectionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteCollectionInput, DeleteCollectionOutput, _stream.Readable>;
    constructor(input: DeleteCollectionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<DeleteCollectionInput, DeleteCollectionOutput>;
}
