/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteFacesInput } from "../types/DeleteFacesInput";
import { DeleteFacesOutput } from "../types/DeleteFacesOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/DeleteFacesInput";
export * from "../types/DeleteFacesOutput";
export * from "../types/DeleteFacesExceptionsUnion";
export declare class DeleteFacesCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteFacesInput, OutputTypesUnion, DeleteFacesOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteFacesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteFacesInput, DeleteFacesOutput, _stream.Readable>;
    constructor(input: DeleteFacesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<DeleteFacesInput, DeleteFacesOutput>;
}
