/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteStreamProcessorInput } from "../types/DeleteStreamProcessorInput";
import { DeleteStreamProcessorOutput } from "../types/DeleteStreamProcessorOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/DeleteStreamProcessorInput";
export * from "../types/DeleteStreamProcessorOutput";
export * from "../types/DeleteStreamProcessorExceptionsUnion";
export declare class DeleteStreamProcessorCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteStreamProcessorInput, OutputTypesUnion, DeleteStreamProcessorOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteStreamProcessorInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteStreamProcessorInput, DeleteStreamProcessorOutput, _stream.Readable>;
    constructor(input: DeleteStreamProcessorInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<DeleteStreamProcessorInput, DeleteStreamProcessorOutput>;
}
