/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeStreamProcessorInput } from "../types/DescribeStreamProcessorInput";
import { DescribeStreamProcessorOutput } from "../types/DescribeStreamProcessorOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/DescribeStreamProcessorInput";
export * from "../types/DescribeStreamProcessorOutput";
export * from "../types/DescribeStreamProcessorExceptionsUnion";
export declare class DescribeStreamProcessorCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeStreamProcessorInput, OutputTypesUnion, DescribeStreamProcessorOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeStreamProcessorInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeStreamProcessorInput, DescribeStreamProcessorOutput, _stream.Readable>;
    constructor(input: DescribeStreamProcessorInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<DescribeStreamProcessorInput, DescribeStreamProcessorOutput>;
}
