/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DetectLabelsInput } from "../types/DetectLabelsInput";
import { DetectLabelsOutput } from "../types/DetectLabelsOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/DetectLabelsInput";
export * from "../types/DetectLabelsOutput";
export * from "../types/DetectLabelsExceptionsUnion";
export declare class DetectLabelsCommand implements __aws_sdk_types.Command<InputTypesUnion, DetectLabelsInput, OutputTypesUnion, DetectLabelsOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: DetectLabelsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DetectLabelsInput, DetectLabelsOutput, _stream.Readable>;
    constructor(input: DetectLabelsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<DetectLabelsInput, DetectLabelsOutput>;
}
