/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetCelebrityInfoInput } from "../types/GetCelebrityInfoInput";
import { GetCelebrityInfoOutput } from "../types/GetCelebrityInfoOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/GetCelebrityInfoInput";
export * from "../types/GetCelebrityInfoOutput";
export * from "../types/GetCelebrityInfoExceptionsUnion";
export declare class GetCelebrityInfoCommand implements __aws_sdk_types.Command<InputTypesUnion, GetCelebrityInfoInput, OutputTypesUnion, GetCelebrityInfoOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: GetCelebrityInfoInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetCelebrityInfoInput, GetCelebrityInfoOutput, _stream.Readable>;
    constructor(input: GetCelebrityInfoInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<GetCelebrityInfoInput, GetCelebrityInfoOutput>;
}
