/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetCelebrityRecognitionInput } from "../types/GetCelebrityRecognitionInput";
import { GetCelebrityRecognitionOutput } from "../types/GetCelebrityRecognitionOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/GetCelebrityRecognitionInput";
export * from "../types/GetCelebrityRecognitionOutput";
export * from "../types/GetCelebrityRecognitionExceptionsUnion";
export declare class GetCelebrityRecognitionCommand implements __aws_sdk_types.Command<InputTypesUnion, GetCelebrityRecognitionInput, OutputTypesUnion, GetCelebrityRecognitionOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: GetCelebrityRecognitionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetCelebrityRecognitionInput, GetCelebrityRecognitionOutput, _stream.Readable>;
    constructor(input: GetCelebrityRecognitionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<GetCelebrityRecognitionInput, GetCelebrityRecognitionOutput>;
}
