/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetContentModerationInput } from "../types/GetContentModerationInput";
import { GetContentModerationOutput } from "../types/GetContentModerationOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/GetContentModerationInput";
export * from "../types/GetContentModerationOutput";
export * from "../types/GetContentModerationExceptionsUnion";
export declare class GetContentModerationCommand implements __aws_sdk_types.Command<InputTypesUnion, GetContentModerationInput, OutputTypesUnion, GetContentModerationOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: GetContentModerationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetContentModerationInput, GetContentModerationOutput, _stream.Readable>;
    constructor(input: GetContentModerationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<GetContentModerationInput, GetContentModerationOutput>;
}
