/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListStreamProcessorsInput } from "../types/ListStreamProcessorsInput";
import { ListStreamProcessorsOutput } from "../types/ListStreamProcessorsOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/ListStreamProcessorsInput";
export * from "../types/ListStreamProcessorsOutput";
export * from "../types/ListStreamProcessorsExceptionsUnion";
export declare class ListStreamProcessorsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListStreamProcessorsInput, OutputTypesUnion, ListStreamProcessorsOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: ListStreamProcessorsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListStreamProcessorsInput, ListStreamProcessorsOutput, _stream.Readable>;
    constructor(input: ListStreamProcessorsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<ListStreamProcessorsInput, ListStreamProcessorsOutput>;
}
