/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RecognizeCelebritiesInput } from "../types/RecognizeCelebritiesInput";
import { RecognizeCelebritiesOutput } from "../types/RecognizeCelebritiesOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/RecognizeCelebritiesInput";
export * from "../types/RecognizeCelebritiesOutput";
export * from "../types/RecognizeCelebritiesExceptionsUnion";
export declare class RecognizeCelebritiesCommand implements __aws_sdk_types.Command<InputTypesUnion, RecognizeCelebritiesInput, OutputTypesUnion, RecognizeCelebritiesOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: RecognizeCelebritiesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RecognizeCelebritiesInput, RecognizeCelebritiesOutput, _stream.Readable>;
    constructor(input: RecognizeCelebritiesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<RecognizeCelebritiesInput, RecognizeCelebritiesOutput>;
}
