/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SearchFacesByImageInput } from "../types/SearchFacesByImageInput";
import { SearchFacesByImageOutput } from "../types/SearchFacesByImageOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/SearchFacesByImageInput";
export * from "../types/SearchFacesByImageOutput";
export * from "../types/SearchFacesByImageExceptionsUnion";
export declare class SearchFacesByImageCommand implements __aws_sdk_types.Command<InputTypesUnion, SearchFacesByImageInput, OutputTypesUnion, SearchFacesByImageOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: SearchFacesByImageInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SearchFacesByImageInput, SearchFacesByImageOutput, _stream.Readable>;
    constructor(input: SearchFacesByImageInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<SearchFacesByImageInput, SearchFacesByImageOutput>;
}
