/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartCelebrityRecognitionInput } from "../types/StartCelebrityRecognitionInput";
import { StartCelebrityRecognitionOutput } from "../types/StartCelebrityRecognitionOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/StartCelebrityRecognitionInput";
export * from "../types/StartCelebrityRecognitionOutput";
export * from "../types/StartCelebrityRecognitionExceptionsUnion";
export declare class StartCelebrityRecognitionCommand implements __aws_sdk_types.Command<InputTypesUnion, StartCelebrityRecognitionInput, OutputTypesUnion, StartCelebrityRecognitionOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: StartCelebrityRecognitionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartCelebrityRecognitionInput, StartCelebrityRecognitionOutput, _stream.Readable>;
    constructor(input: StartCelebrityRecognitionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<StartCelebrityRecognitionInput, StartCelebrityRecognitionOutput>;
}
