/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartContentModerationInput } from "../types/StartContentModerationInput";
import { StartContentModerationOutput } from "../types/StartContentModerationOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/StartContentModerationInput";
export * from "../types/StartContentModerationOutput";
export * from "../types/StartContentModerationExceptionsUnion";
export declare class StartContentModerationCommand implements __aws_sdk_types.Command<InputTypesUnion, StartContentModerationInput, OutputTypesUnion, StartContentModerationOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: StartContentModerationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartContentModerationInput, StartContentModerationOutput, _stream.Readable>;
    constructor(input: StartContentModerationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<StartContentModerationInput, StartContentModerationOutput>;
}
