"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteFacesInput_1 = require("../shapes/DeleteFacesInput");
var DeleteFacesOutput_1 = require("../shapes/DeleteFacesOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteFaces = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteFaces",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteFacesInput_1.DeleteFacesInput
    },
    output: {
        shape: DeleteFacesOutput_1.DeleteFacesOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=DeleteFaces.js.map