"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetLabelDetectionInput_1 = require("../shapes/GetLabelDetectionInput");
var GetLabelDetectionOutput_1 = require("../shapes/GetLabelDetectionOutput");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidPaginationTokenException_1 = require("../shapes/InvalidPaginationTokenException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetLabelDetection = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetLabelDetection",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetLabelDetectionInput_1.GetLabelDetectionInput
    },
    output: {
        shape: GetLabelDetectionOutput_1.GetLabelDetectionOutput
    },
    errors: [
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidPaginationTokenException_1.InvalidPaginationTokenException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=GetLabelDetection.js.map