"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _StreamProcessorInput_1 = require("./_StreamProcessorInput");
var _StreamProcessorOutput_1 = require("./_StreamProcessorOutput");
var _StreamProcessorSettings_1 = require("./_StreamProcessorSettings");
exports.CreateStreamProcessorInput = {
    type: "structure",
    required: ["Input", "Output", "Name", "Settings", "RoleArn"],
    members: {
        Input: {
            shape: _StreamProcessorInput_1._StreamProcessorInput
        },
        Output: {
            shape: _StreamProcessorOutput_1._StreamProcessorOutput
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Settings: {
            shape: _StreamProcessorSettings_1._StreamProcessorSettings
        },
        RoleArn: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateStreamProcessorInput.js.map