"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Image_1 = require("./_Image");
var _Attributes_1 = require("./_Attributes");
exports.IndexFacesInput = {
    type: "structure",
    required: ["CollectionId", "Image"],
    members: {
        CollectionId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Image: {
            shape: _Image_1._Image
        },
        ExternalImageId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DetectionAttributes: {
            shape: _Attributes_1._Attributes
        },
        MaxFaces: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        QualityFilter: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=IndexFacesInput.js.map