"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _BoundingBox_1 = require("./_BoundingBox");
var _FaceMatchList_1 = require("./_FaceMatchList");
exports.SearchFacesByImageOutput = {
    type: "structure",
    required: [],
    members: {
        SearchedFaceBoundingBox: {
            shape: _BoundingBox_1._BoundingBox
        },
        SearchedFaceConfidence: {
            shape: {
                type: "float"
            }
        },
        FaceMatches: {
            shape: _FaceMatchList_1._FaceMatchList
        },
        FaceModelVersion: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=SearchFacesByImageOutput.js.map