"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchFacesInput = {
    type: "structure",
    required: ["CollectionId", "FaceId"],
    members: {
        CollectionId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        FaceId: {
            shape: {
                type: "string"
            }
        },
        MaxFaces: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        FaceMatchThreshold: {
            shape: {
                type: "float"
            }
        }
    }
};
//# sourceMappingURL=SearchFacesInput.js.map