"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Video_1 = require("./_Video");
var _NotificationChannel_1 = require("./_NotificationChannel");
exports.StartFaceSearchInput = {
    type: "structure",
    required: ["Video", "CollectionId"],
    members: {
        Video: {
            shape: _Video_1._Video
        },
        ClientRequestToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        FaceMatchThreshold: {
            shape: {
                type: "float"
            }
        },
        CollectionId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        NotificationChannel: {
            shape: _NotificationChannel_1._NotificationChannel
        },
        JobTag: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=StartFaceSearchInput.js.map