"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Urls_1 = require("./_Urls");
var _BoundingBox_1 = require("./_BoundingBox");
var _FaceDetail_1 = require("./_FaceDetail");
exports._CelebrityDetail = {
    type: "structure",
    required: [],
    members: {
        Urls: {
            shape: _Urls_1._Urls
        },
        Name: {
            shape: {
                type: "string"
            }
        },
        Id: {
            shape: {
                type: "string"
            }
        },
        Confidence: {
            shape: {
                type: "float"
            }
        },
        BoundingBox: {
            shape: _BoundingBox_1._BoundingBox
        },
        Face: {
            shape: _FaceDetail_1._FaceDetail
        }
    }
};
//# sourceMappingURL=_CelebrityDetail.js.map