"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _BoundingBox_1 = require("./_BoundingBox");
var _Landmarks_1 = require("./_Landmarks");
var _Pose_1 = require("./_Pose");
var _ImageQuality_1 = require("./_ImageQuality");
exports._ComparedFace = {
    type: "structure",
    required: [],
    members: {
        BoundingBox: {
            shape: _BoundingBox_1._BoundingBox
        },
        Confidence: {
            shape: {
                type: "float"
            }
        },
        Landmarks: {
            shape: _Landmarks_1._Landmarks
        },
        Pose: {
            shape: _Pose_1._Pose
        },
        Quality: {
            shape: _ImageQuality_1._ImageQuality
        }
    }
};
//# sourceMappingURL=_ComparedFace.js.map