"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _BoundingBox_1 = require("./_BoundingBox");
var _AgeRange_1 = require("./_AgeRange");
var _Smile_1 = require("./_Smile");
var _Eyeglasses_1 = require("./_Eyeglasses");
var _Sunglasses_1 = require("./_Sunglasses");
var _Gender_1 = require("./_Gender");
var _Beard_1 = require("./_Beard");
var _Mustache_1 = require("./_Mustache");
var _EyeOpen_1 = require("./_EyeOpen");
var _MouthOpen_1 = require("./_MouthOpen");
var _Emotions_1 = require("./_Emotions");
var _Landmarks_1 = require("./_Landmarks");
var _Pose_1 = require("./_Pose");
var _ImageQuality_1 = require("./_ImageQuality");
exports._FaceDetail = {
    type: "structure",
    required: [],
    members: {
        BoundingBox: {
            shape: _BoundingBox_1._BoundingBox
        },
        AgeRange: {
            shape: _AgeRange_1._AgeRange
        },
        Smile: {
            shape: _Smile_1._Smile
        },
        Eyeglasses: {
            shape: _Eyeglasses_1._Eyeglasses
        },
        Sunglasses: {
            shape: _Sunglasses_1._Sunglasses
        },
        Gender: {
            shape: _Gender_1._Gender
        },
        Beard: {
            shape: _Beard_1._Beard
        },
        Mustache: {
            shape: _Mustache_1._Mustache
        },
        EyesOpen: {
            shape: _EyeOpen_1._EyeOpen
        },
        MouthOpen: {
            shape: _MouthOpen_1._MouthOpen
        },
        Emotions: {
            shape: _Emotions_1._Emotions
        },
        Landmarks: {
            shape: _Landmarks_1._Landmarks
        },
        Pose: {
            shape: _Pose_1._Pose
        },
        Quality: {
            shape: _ImageQuality_1._ImageQuality
        },
        Confidence: {
            shape: {
                type: "float"
            }
        }
    }
};
//# sourceMappingURL=_FaceDetail.js.map