"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Geometry_1 = require("./_Geometry");
exports._TextDetection = {
    type: "structure",
    required: [],
    members: {
        DetectedText: {
            shape: {
                type: "string"
            }
        },
        Type: {
            shape: {
                type: "string"
            }
        },
        Id: {
            shape: {
                type: "integer"
            }
        },
        ParentId: {
            shape: {
                type: "integer"
            }
        },
        Confidence: {
            shape: {
                type: "float"
            }
        },
        Geometry: {
            shape: _Geometry_1._Geometry
        }
    }
};
//# sourceMappingURL=_TextDetection.js.map