import { CompareFacesOutput } from "./CompareFacesOutput";
import { CreateCollectionOutput } from "./CreateCollectionOutput";
import { CreateStreamProcessorOutput } from "./CreateStreamProcessorOutput";
import { DeleteCollectionOutput } from "./DeleteCollectionOutput";
import { DeleteFacesOutput } from "./DeleteFacesOutput";
import { DeleteStreamProcessorOutput } from "./DeleteStreamProcessorOutput";
import { DescribeCollectionOutput } from "./DescribeCollectionOutput";
import { DescribeStreamProcessorOutput } from "./DescribeStreamProcessorOutput";
import { DetectFacesOutput } from "./DetectFacesOutput";
import { DetectLabelsOutput } from "./DetectLabelsOutput";
import { DetectModerationLabelsOutput } from "./DetectModerationLabelsOutput";
import { DetectTextOutput } from "./DetectTextOutput";
import { GetCelebrityInfoOutput } from "./GetCelebrityInfoOutput";
import { GetCelebrityRecognitionOutput } from "./GetCelebrityRecognitionOutput";
import { GetContentModerationOutput } from "./GetContentModerationOutput";
import { GetFaceDetectionOutput } from "./GetFaceDetectionOutput";
import { GetFaceSearchOutput } from "./GetFaceSearchOutput";
import { GetLabelDetectionOutput } from "./GetLabelDetectionOutput";
import { GetPersonTrackingOutput } from "./GetPersonTrackingOutput";
import { IndexFacesOutput } from "./IndexFacesOutput";
import { ListCollectionsOutput } from "./ListCollectionsOutput";
import { ListFacesOutput } from "./ListFacesOutput";
import { ListStreamProcessorsOutput } from "./ListStreamProcessorsOutput";
import { RecognizeCelebritiesOutput } from "./RecognizeCelebritiesOutput";
import { SearchFacesOutput } from "./SearchFacesOutput";
import { SearchFacesByImageOutput } from "./SearchFacesByImageOutput";
import { StartCelebrityRecognitionOutput } from "./StartCelebrityRecognitionOutput";
import { StartContentModerationOutput } from "./StartContentModerationOutput";
import { StartFaceDetectionOutput } from "./StartFaceDetectionOutput";
import { StartFaceSearchOutput } from "./StartFaceSearchOutput";
import { StartLabelDetectionOutput } from "./StartLabelDetectionOutput";
import { StartPersonTrackingOutput } from "./StartPersonTrackingOutput";
import { StartStreamProcessorOutput } from "./StartStreamProcessorOutput";
import { StopStreamProcessorOutput } from "./StopStreamProcessorOutput";
export declare type OutputTypesUnion = CompareFacesOutput | CreateCollectionOutput | CreateStreamProcessorOutput | DeleteCollectionOutput | DeleteFacesOutput | DeleteStreamProcessorOutput | DescribeCollectionOutput | DescribeStreamProcessorOutput | DetectFacesOutput | DetectLabelsOutput | DetectModerationLabelsOutput | DetectTextOutput | GetCelebrityInfoOutput | GetCelebrityRecognitionOutput | GetContentModerationOutput | GetFaceDetectionOutput | GetFaceSearchOutput | GetLabelDetectionOutput | GetPersonTrackingOutput | IndexFacesOutput | ListCollectionsOutput | ListFacesOutput | ListStreamProcessorsOutput | RecognizeCelebritiesOutput | SearchFacesOutput | SearchFacesByImageOutput | StartCelebrityRecognitionOutput | StartContentModerationOutput | StartFaceDetectionOutput | StartFaceSearchOutput | StartLabelDetectionOutput | StartPersonTrackingOutput | StartStreamProcessorOutput | StopStreamProcessorOutput;
