import { InvalidS3ObjectException } from "./InvalidS3ObjectException";
import { InvalidParameterException } from "./InvalidParameterException";
import { InvalidImageFormatException } from "./InvalidImageFormatException";
import { ImageTooLargeException } from "./ImageTooLargeException";
import { AccessDeniedException } from "./AccessDeniedException";
import { InternalServerError } from "./InternalServerError";
import { ThrottlingException } from "./ThrottlingException";
import { ProvisionedThroughputExceededException } from "./ProvisionedThroughputExceededException";
export declare type RecognizeCelebritiesExceptionsUnion = InvalidS3ObjectException | InvalidParameterException | InvalidImageFormatException | ImageTooLargeException | AccessDeniedException | InternalServerError | ThrottlingException | ProvisionedThroughputExceededException;
