/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CompareFacesInput } from "../types/CompareFacesInput";
import { CompareFacesOutput } from "../types/CompareFacesOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/CompareFacesInput";
export * from "../types/CompareFacesOutput";
export * from "../types/CompareFacesExceptionsUnion";
export declare class CompareFacesCommand implements __aws_sdk_types.Command<InputTypesUnion, CompareFacesInput, OutputTypesUnion, CompareFacesOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: CompareFacesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CompareFacesInput, CompareFacesOutput, _stream.Readable>;
    constructor(input: CompareFacesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<CompareFacesInput, CompareFacesOutput>;
}
