/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DetectModerationLabelsInput } from "../types/DetectModerationLabelsInput";
import { DetectModerationLabelsOutput } from "../types/DetectModerationLabelsOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/DetectModerationLabelsInput";
export * from "../types/DetectModerationLabelsOutput";
export * from "../types/DetectModerationLabelsExceptionsUnion";
export declare class DetectModerationLabelsCommand implements __aws_sdk_types.Command<InputTypesUnion, DetectModerationLabelsInput, OutputTypesUnion, DetectModerationLabelsOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: DetectModerationLabelsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DetectModerationLabelsInput, DetectModerationLabelsOutput, _stream.Readable>;
    constructor(input: DetectModerationLabelsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<DetectModerationLabelsInput, DetectModerationLabelsOutput>;
}
