/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetFaceDetectionInput } from "../types/GetFaceDetectionInput";
import { GetFaceDetectionOutput } from "../types/GetFaceDetectionOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/GetFaceDetectionInput";
export * from "../types/GetFaceDetectionOutput";
export * from "../types/GetFaceDetectionExceptionsUnion";
export declare class GetFaceDetectionCommand implements __aws_sdk_types.Command<InputTypesUnion, GetFaceDetectionInput, OutputTypesUnion, GetFaceDetectionOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: GetFaceDetectionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetFaceDetectionInput, GetFaceDetectionOutput, _stream.Readable>;
    constructor(input: GetFaceDetectionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<GetFaceDetectionInput, GetFaceDetectionOutput>;
}
