/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetFaceSearchInput } from "../types/GetFaceSearchInput";
import { GetFaceSearchOutput } from "../types/GetFaceSearchOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/GetFaceSearchInput";
export * from "../types/GetFaceSearchOutput";
export * from "../types/GetFaceSearchExceptionsUnion";
export declare class GetFaceSearchCommand implements __aws_sdk_types.Command<InputTypesUnion, GetFaceSearchInput, OutputTypesUnion, GetFaceSearchOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: GetFaceSearchInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetFaceSearchInput, GetFaceSearchOutput, _stream.Readable>;
    constructor(input: GetFaceSearchInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<GetFaceSearchInput, GetFaceSearchOutput>;
}
