/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListCollectionsInput } from "../types/ListCollectionsInput";
import { ListCollectionsOutput } from "../types/ListCollectionsOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/ListCollectionsInput";
export * from "../types/ListCollectionsOutput";
export * from "../types/ListCollectionsExceptionsUnion";
export declare class ListCollectionsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListCollectionsInput, OutputTypesUnion, ListCollectionsOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: ListCollectionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListCollectionsInput, ListCollectionsOutput, _stream.Readable>;
    constructor(input: ListCollectionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<ListCollectionsInput, ListCollectionsOutput>;
}
