/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListFacesInput } from "../types/ListFacesInput";
import { ListFacesOutput } from "../types/ListFacesOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/ListFacesInput";
export * from "../types/ListFacesOutput";
export * from "../types/ListFacesExceptionsUnion";
export declare class ListFacesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListFacesInput, OutputTypesUnion, ListFacesOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: ListFacesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListFacesInput, ListFacesOutput, _stream.Readable>;
    constructor(input: ListFacesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<ListFacesInput, ListFacesOutput>;
}
