/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SearchFacesInput } from "../types/SearchFacesInput";
import { SearchFacesOutput } from "../types/SearchFacesOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/SearchFacesInput";
export * from "../types/SearchFacesOutput";
export * from "../types/SearchFacesExceptionsUnion";
export declare class SearchFacesCommand implements __aws_sdk_types.Command<InputTypesUnion, SearchFacesInput, OutputTypesUnion, SearchFacesOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: SearchFacesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SearchFacesInput, SearchFacesOutput, _stream.Readable>;
    constructor(input: SearchFacesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<SearchFacesInput, SearchFacesOutput>;
}
