/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartFaceSearchInput } from "../types/StartFaceSearchInput";
import { StartFaceSearchOutput } from "../types/StartFaceSearchOutput";
import { RekognitionResolvedConfiguration } from "../RekognitionConfiguration";
export * from "../types/StartFaceSearchInput";
export * from "../types/StartFaceSearchOutput";
export * from "../types/StartFaceSearchExceptionsUnion";
export declare class StartFaceSearchCommand implements __aws_sdk_types.Command<InputTypesUnion, StartFaceSearchInput, OutputTypesUnion, StartFaceSearchOutput, RekognitionResolvedConfiguration, _stream.Readable> {
    readonly input: StartFaceSearchInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartFaceSearchInput, StartFaceSearchOutput, _stream.Readable>;
    constructor(input: StartFaceSearchInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RekognitionResolvedConfiguration): __aws_sdk_types.Handler<StartFaceSearchInput, StartFaceSearchOutput>;
}
