"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetCelebrityInfoInput_1 = require("../shapes/GetCelebrityInfoInput");
var GetCelebrityInfoOutput_1 = require("../shapes/GetCelebrityInfoOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetCelebrityInfo = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetCelebrityInfo",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetCelebrityInfoInput_1.GetCelebrityInfoInput
    },
    output: {
        shape: GetCelebrityInfoOutput_1.GetCelebrityInfoOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=GetCelebrityInfo.js.map