"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ComparedSourceImageFace_1 = require("./_ComparedSourceImageFace");
var _CompareFacesMatchList_1 = require("./_CompareFacesMatchList");
var _CompareFacesUnmatchList_1 = require("./_CompareFacesUnmatchList");
exports.CompareFacesOutput = {
    type: "structure",
    required: [],
    members: {
        SourceImageFace: {
            shape: _ComparedSourceImageFace_1._ComparedSourceImageFace
        },
        FaceMatches: {
            shape: _CompareFacesMatchList_1._CompareFacesMatchList
        },
        UnmatchedFaces: {
            shape: _CompareFacesUnmatchList_1._CompareFacesUnmatchList
        },
        SourceImageOrientationCorrection: {
            shape: {
                type: "string"
            }
        },
        TargetImageOrientationCorrection: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CompareFacesOutput.js.map