"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _StreamProcessorInput_1 = require("./_StreamProcessorInput");
var _StreamProcessorOutput_1 = require("./_StreamProcessorOutput");
var _StreamProcessorSettings_1 = require("./_StreamProcessorSettings");
exports.DescribeStreamProcessorOutput = {
    type: "structure",
    required: [],
    members: {
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        StreamProcessorArn: {
            shape: {
                type: "string"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        StatusMessage: {
            shape: {
                type: "string"
            }
        },
        CreationTimestamp: {
            shape: {
                type: "timestamp"
            }
        },
        LastUpdateTimestamp: {
            shape: {
                type: "timestamp"
            }
        },
        Input: {
            shape: _StreamProcessorInput_1._StreamProcessorInput
        },
        Output: {
            shape: _StreamProcessorOutput_1._StreamProcessorOutput
        },
        RoleArn: {
            shape: {
                type: "string"
            }
        },
        Settings: {
            shape: _StreamProcessorSettings_1._StreamProcessorSettings
        }
    }
};
//# sourceMappingURL=DescribeStreamProcessorOutput.js.map