"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _VideoMetadata_1 = require("./_VideoMetadata");
var _ContentModerationDetections_1 = require("./_ContentModerationDetections");
exports.GetContentModerationOutput = {
    type: "structure",
    required: [],
    members: {
        JobStatus: {
            shape: {
                type: "string"
            }
        },
        StatusMessage: {
            shape: {
                type: "string"
            }
        },
        VideoMetadata: {
            shape: _VideoMetadata_1._VideoMetadata
        },
        ModerationLabels: {
            shape: _ContentModerationDetections_1._ContentModerationDetections
        },
        NextToken: {
            shape: {
                type: "string"
            }
        },
        ModerationModelVersion: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=GetContentModerationOutput.js.map