"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _VideoMetadata_1 = require("./_VideoMetadata");
var _FaceDetections_1 = require("./_FaceDetections");
exports.GetFaceDetectionOutput = {
    type: "structure",
    required: [],
    members: {
        JobStatus: {
            shape: {
                type: "string"
            }
        },
        StatusMessage: {
            shape: {
                type: "string"
            }
        },
        VideoMetadata: {
            shape: _VideoMetadata_1._VideoMetadata
        },
        NextToken: {
            shape: {
                type: "string"
            }
        },
        Faces: {
            shape: _FaceDetections_1._FaceDetections
        }
    }
};
//# sourceMappingURL=GetFaceDetectionOutput.js.map