"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _FaceRecordList_1 = require("./_FaceRecordList");
var _UnindexedFaces_1 = require("./_UnindexedFaces");
exports.IndexFacesOutput = {
    type: "structure",
    required: [],
    members: {
        FaceRecords: {
            shape: _FaceRecordList_1._FaceRecordList
        },
        OrientationCorrection: {
            shape: {
                type: "string"
            }
        },
        FaceModelVersion: {
            shape: {
                type: "string"
            }
        },
        UnindexedFaces: {
            shape: _UnindexedFaces_1._UnindexedFaces
        }
    }
};
//# sourceMappingURL=IndexFacesOutput.js.map