"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Image_1 = require("./_Image");
exports.SearchFacesByImageInput = {
    type: "structure",
    required: ["CollectionId", "Image"],
    members: {
        CollectionId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Image: {
            shape: _Image_1._Image
        },
        MaxFaces: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        FaceMatchThreshold: {
            shape: {
                type: "float"
            }
        }
    }
};
//# sourceMappingURL=SearchFacesByImageInput.js.map