"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Video_1 = require("./_Video");
var _NotificationChannel_1 = require("./_NotificationChannel");
exports.StartFaceDetectionInput = {
    type: "structure",
    required: ["Video"],
    members: {
        Video: {
            shape: _Video_1._Video
        },
        ClientRequestToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        NotificationChannel: {
            shape: _NotificationChannel_1._NotificationChannel
        },
        FaceAttributes: {
            shape: {
                type: "string"
            }
        },
        JobTag: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=StartFaceDetectionInput.js.map