"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Urls_1 = require("./_Urls");
var _ComparedFace_1 = require("./_ComparedFace");
exports._Celebrity = {
    type: "structure",
    required: [],
    members: {
        Urls: {
            shape: _Urls_1._Urls
        },
        Name: {
            shape: {
                type: "string"
            }
        },
        Id: {
            shape: {
                type: "string"
            }
        },
        Face: {
            shape: _ComparedFace_1._ComparedFace
        },
        MatchConfidence: {
            shape: {
                type: "float"
            }
        }
    }
};
//# sourceMappingURL=_Celebrity.js.map