"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _BoundingBox_1 = require("./_BoundingBox");
exports._Face = {
    type: "structure",
    required: [],
    members: {
        FaceId: {
            shape: {
                type: "string"
            }
        },
        BoundingBox: {
            shape: _BoundingBox_1._BoundingBox
        },
        ImageId: {
            shape: {
                type: "string"
            }
        },
        ExternalImageId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Confidence: {
            shape: {
                type: "float"
            }
        }
    }
};
//# sourceMappingURL=_Face.js.map